%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-chm
Version:        0.8.4
Release:        8%{?dist}
Summary:        Python package for CHM files handling

Group:          Development/Languages
License:        GPLv2+
URL:            http://gnochm.sourceforge.net/pychm.html
Source0:        http://downloads.sourceforge.net/gnochm/pychm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  chmlib-devel

%description
The python chm package provides three modules, chm, chmlib and extra,
which provide access to the API implemented by the C library chmlib
and some additional classes and functions. They are used to access
MS-ITSS encoded files - Compressed Html Help files (.chm).

%prep
%setup -q -n pychm-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{python_sitearch}/chm/
%{python_sitearch}/pychm-*egg-info


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 0.8.4-7
- Building for F-12

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.8.4-5
- Rebuild for Python 2.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.4-4
- Autorebuild for GCC 4.3

* Thu Jan  3 2008 Patrice Dumas <pertusus@free.fr> 0.8.4-3
- remove python-abi requires, it needs python in the build root
- ship egg file

* Sat Dec  9 2006 Patrice Dumas <pertusus@free.fr> 0.8.4-1
- update to 0.8.4

* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 0.8.3-3
- add .pyo. Bug #205407

* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 0.8.3-2
- rebuild for FC6

* Sun Jun  4 2006 Patrice Dumas <pertusus@free.fr> 0.8.3-1
- Update to 0.8.3

* Sun Mar 12 2006 Patrice Dumas <pertusus@free.fr> 0.8.2-2
- Fedora Extras submission, loosely based on Dag.
